% PURITY-NG(6) 
%
% January 7, 2011

# NAME

purity-ng - general purpose purity testing software

# SYNOPSIS

**purity-ng** [_OPTION_]... list|_FILE_|_TESTNAME_

# DESCRIPTION

Purity  is  an  interactive purity test program with a simple, user interface and datafile format.  For each test, questions are printed to the your terminal, and you are prompted for an answer to  the  current  question.   At  a prompt, these are your choices:

~~~~~~~
y      Answer "yes" to the question.
n      Answer "no" to the question.
b      Backup  one  question, if you answered it incorrectly, or someone is watching you take the test, and you don't (or do) want to admit a different answer.
s      Print your current score on the test you are taking.
q      Quit the test, and print the current score.
?      Print a help screen for the current prompt.
~~~~~~~

At  the  end of the test, your score is printed out.  For most purity tests, lower scores denote more "experience" of the test material.


# OPTIONS

\--version
:   print current version of **purity-ng**

-h, \--help
:   show the help message and exit

-p
:   print the test without prompting for answers.

-r
:   decrypt the test using the Rot 13 algorithm.

To get a list of all purity tests available globally on your system, run `purity-ng list`.

# AUTHORS

**purity** was originally written by Eric Lechner in 1989.
**purity-ng** is a reimplementation of purity in Python for modern systems, written by Simon Fondrie-Teitler and Luke Faraone.

This manual page was written by Luke Faraone.

# BUGS

If you find bugs in the application, please report these to
<https://bugs.launchpad.net/purity-ng> or to your distribution's
distributor.

# SEE ALSO

`purity`(6)

Running `purity-ng format` provides documentation about the datafile format. 

Additional documentation is available online at <http://packages.python.org/purity-ng>.
